LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
DataPilotFieldLayoutMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::DataPilotFieldLayoutMode
| describes the layout mode of the data field

## Variables
const long | TABULAR_LAYOUT = 0
| Tabular layout mode is the layout, where each item's name is on the same row as the first item from the following field. More...
const long | OUTLINE_SUBTOTALS_TOP = 1
| In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports. More...
const long | OUTLINE_SUBTOTALS_BOTTOM = 2
| In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports. More...
const long | COMPACT_LAYOUT = 3
| In compact layout mode, the items from the following field start in the row below an item's name with an indentation but in the same column as this field's items are. More...